# Luxsci.SM3Campaign

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**apiId** | **String** | The Id of the api being used. | [optional] 
**campaignId** | **Number** | Unique ID for the Campaign. | 
**created** | **String** | When the camppaign was created. | [optional] 
**deduplicate** | **Number** | If true, avoid sending multiple messages to the same contact. | [optional] 
**hourlyRateLimit** | **Number** | Maximum number of emails to send per hour. | [optional] 
**lastSendBlockSize** | **Number** | How many contacts were sent in the last batch. | [optional] 
**lastSendDate** | **String** | Datetime of the last sent message. | [optional] 
**type** | **String** | The contact source type code for this Campaign.  E.g., list or segment. | [optional] 
**listIds** | **String** | Comma separated list of List IDs attached to this campaign. | [optional] 
**segmentIds** | **String** | Comma separated list of Segment IDs attached to this campaign. | [optional] 
**modified** | **String** | When the campaign was last modified. | [optional] 
**nClickedTotal** | **Number** | Total Number of opened messages recieving a click. | [optional] 
**nClickedUnique** | **Number** | Number of unique opened messages recieving a click. | [optional] 
**nDelivered** | **Number** | Number of messages that have been successfully delivered. | [optional] 
**nHardBounce** | **Number** | Number of messages that experienced a hard bounce. | [optional] 
**nLost** | **Number** | Number of messages that have been lost. | [optional] 
**nOpenedTotal** | **Number** | Total Number of messages that have been opened. | [optional] 
**nOpenedUnique** | **Number** | Number of unique messages that have been opened. | [optional] 
**nQueued** | **Number** | Number of messages that have been queued for delivery. | [optional] 
**nSent** | **Number** | Number of messages that have been sent. | [optional] 
**nSoftBounce** | **Number** | Number of messages that experienced a soft bounce. | [optional] 
**nSpam** | **Number** | Number of messages marked as spam. | [optional] 
**nStaged** | **Number** | Number of messages that have been staged for delivery. | [optional] 
**nSuppressed** | **Number** | Number of email addresses that have been suppressed. | [optional] 
**queuePriority** | **Number** | Priority relative to other concurrent campaigns. | [optional] 
**retries** | **Number** | Total number of retries attempted on this campaign. | [optional] 
**retryAfterDate** | **String** | Datetime when the next retry will be attempted. | [optional] 
**secondsToLastFail** | **Number** | Seconds from start to the last time a message delivery failed. | [optional] 
**secondsToLastSuccess** | **Number** | Seconds from start to the last successful delivery. | [optional] 
**secondsToSend** | **Number** | Seconds to send all messages. | [optional] 
**secondsToStage** | **Number** | Seconds to stage all messages. | [optional] 
**sendAt** | **String** | Datetime when campaign starts. | [optional] 
**sendStartedAt** | **String** | Datetime when campaign actually started. | [optional] 
**statsLastUpdated** | **String** | Datetime when statistics were last updated. | [optional] 
**status** | **String** | Current campaign status.  [\&quot;scheduled\&quot;,\&quot;paused\&quot;,\&quot;staging\&quot;,\&quot;sending\&quot;,\&quot;queued\&quot;,\&quot;complete\&quot;,\&quot;running\&quot;,\&quot;failed\&quot;] | [optional] 
**statusDetail** | **String** | Current campaign status detail. | [optional] 
**statusPrepause** | **String** | Status of the call before it was paused. | [optional] 
**templateId** | **Number** | Unique ID for template assigned to this campaign. | [optional] 
**title** | **String** | Human readable title of the campaign. | [optional] 
**triggerId** | **String** | Trigger id if applicable | [optional] 
**userId** | **Number** | User Id of user who created this campaign. | [optional] 
**underlyingDataUpdated** | **String** | Datetime when underlying data was last updated. | [optional] 
